Domini personalizzati
GET https://oohbe.com/api/domains/
curl --request GET \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: host. |
| is_enabled | Facoltativo Boolean | |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo String | Data inizio |
| datetime_end | Facoltativo String | Data fine |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: domain_id, datetime, last_datetime, host. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-08-17 12:09:47"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://oohbe.com/api/domains?page=1",
"last": "https://oohbe.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://oohbe.com/api/domains?page=1"
}
}
GET https://oohbe.com/api/domains/{domain_id}
curl --request GET \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-08-17 12:09:47"
}
}
POST https://oohbe.com/api/domains
| Parametri | Dettagli | Descrizione |
|---|---|---|
| host | Richiesto String | - |
| custom_index_url | Facoltativo String | - |
| custom_not_found_url | Facoltativo String | - |
curl --request POST \
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://oohbe.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://oohbe.com/api/domains/{domain_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| host | Facoltativo String | - |
| custom_index_url | Facoltativo String | - |
| custom_not_found_url | Facoltativo String | - |
curl --request POST \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://oohbe.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://oohbe.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \